Package twisted :: Package python :: Module delay :: Class Later

[show private | hide private]
[frames | no frames]

## Class Later

I am a function which will run later.

Method Summary
| ``__init__`(self, func)` Create me with a function.
| `rebuildUpdate(self, updater)`
| ``run`(self, *args, **kw)` If I'm still running, apply the arguments to my function.
| ``stop`(self)` Cause me not to execute any longer when run() is called.

Class Variable Summary
`int` | `running`

Method Details

### __init__(self, func)
(Constructor)

Create me with a function.

### run(self, *args, **kw)

If I'm still running, apply the arguments to my function.

### stop(self)

Cause me not to execute any longer when run() is called.

Class Variable Details

### running

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net